VisualEditor: Changing templates makes wikilinks ([[Foo|Bar]]) render as raw wikitext instead of parsed
Closed, ResolvedPublic

Description

Template inspector before closing

Wikilinks like [[Foo|Bar]] are shown expanded in template inspector after closing it, see screenshots.

Steps to reproduce:

  1. Edit a template which has wikilinks like [[Foo|Bar]] as a parameter value
  2. Close the template inspector, with or w/o changes does not matter.

Version: unspecified
Severity: normal
URL: https://de.wikipedia.org/wiki/VRB_H_2/3

Attached:

bzimport set Reference to bz50801.
Raymond created this task.Via LegacyJul 5 2013, 1:14 PM
Raymond added a comment.Via ConduitJul 5 2013, 1:15 PM

Created attachment 12761
Template inspector after closing

Attached:

TTO added a comment.Via ConduitJul 9 2013, 7:16 AM
  • Bug 50909 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 5:38 AM
  • Bug 51014 has been marked as a duplicate of this bug. ***
Esanders added a comment.Via ConduitJul 11 2013, 11:57 AM

Can't reproduce this at the example URL.

Raymond added a comment.Via ConduitJul 11 2013, 12:10 PM

(In reply to comment #4)

Can't reproduce this at the example URL.

I can still reproduce it :-(

Ironholds added a comment.Via ConduitJul 11 2013, 12:15 PM

As can I, hence the duplicate bugs. Firefox 22, Windows 7.

Esanders added a comment.Via ConduitJul 11 2013, 12:49 PM

Can you create a broken diff on that article for me?

Krinkle added a comment.Via ConduitJul 11 2013, 12:50 PM

It doesn't show in the diff, it only shown in the live rendering in VisualEditor.

Krinkle added a comment.Via ConduitJul 11 2013, 12:54 PM

Screenshot of different phases:

http://cl.ly/image/1X0I281n1n0G

  1. PHP rendering on Read
  2. VE initial rendering after Edit
  3. VE rendering after opening Template dialog and making no changes and clicking Apply changes

Dirty diff: http://cl.ly/image/241h1I3T1d2d

Esanders added a comment.Via ConduitJul 11 2013, 2:33 PM

This is a wikitext escaping bug in VE

gerritbot added a comment.Via ConduitJul 11 2013, 2:46 PM

Change 73173 had a related patch set uploaded by Esanders:
Piped links in wikitext parameters getting escaped

https://gerrit.wikimedia.org/r/73173

gerritbot added a comment.Via ConduitJul 11 2013, 4:06 PM

Change 73173 merged by jenkins-bot:
Prevent escaping of piped links in wikitext parameters

https://gerrit.wikimedia.org/r/73173

Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 4:12 PM

We've now fixed this in master, and will back-port to production.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.